package atomfeed

import (
	"encoding/xml"
	"errors"
)

type ExtensionAttribute struct {
	Value   any `xml:",attr"`
	XMLName xml.Name
}

func (e *ExtensionAttribute) Check() error {
	if e.Value == nil {
		return errors.New("value element of extension attribute empty")
	}

	return nil
}
